## kdenlive 18.12.3

=== CMakeLists.txt ===
project(Kdenlive)

# An odd patch version number means development version, while an even one means
# stable release. An additional number can be used for bugfix-only releases.

# KDE Application Version, managed by release script
set (KDE_APPLICATIONS_VERSION_MAJOR "18")
set (KDE_APPLICATIONS_VERSION_MINOR "12")
set (KDE_APPLICATIONS_VERSION_MICRO "3")

set(KDENLIVE_VERSION ${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO})
cmake_minimum_required(VERSION 3.0)
if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif()
if (POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()
# Minimum versions of main dependencies.
set(MLT_MIN_MAJOR_VERSION 6)
set(MLT_MIN_MINOR_VERSION 10)
set(MLT_MIN_PATCH_VERSION 0)
set(MLT_MIN_VERSION ${MLT_MIN_MAJOR_VERSION}.${MLT_MIN_MINOR_VERSION}.${MLT_MIN_PATCH_VERSION})

set(QT_MIN_VERSION 5.6.0)

find_package(ECM 5.18.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMInstallIcons)
include(GenerateExportHeader)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMOptionalAddSubdirectory)
include(ECMMarkNonGuiExecutable)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)

add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DTRANSLATION_DOMAIN=\"kdenlive\")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")
# To be switched on when releasing.
option(RELEASE_BUILD "Remove Git revision from program version (use for stable releases)" ON)

# Get current version.
set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION}")
if(NOT RELEASE_BUILD AND EXISTS ${CMAKE_SOURCE_DIR}/.git)
  # Probably a Git workspace; determine the revision.
  find_package(Git QUIET)
  if(GIT_FOUND)
    exec_program(${GIT_EXECUTABLE}
      ${CMAKE_SOURCE_DIR}
	ARGS "log -n 1 --pretty=format:\"%h\""
      OUTPUT_VARIABLE KDENLIVE_GIT_REVISION
      RETURN_VALUE TAG_RESULT
    )

    # git log failed; maybe the repository was checked with depth=1.
    if(NOT ${TAG_RESULT} EQUAL 0)
      exec_program(${GIT_EXECUTABLE}
        ${CMAKE_SOURCE_DIR}
        ARGS "describe --always"
        OUTPUT_VARIABLE KDENLIVE_GIT_REVISION
      )
    endif()
    message(STATUS "Kdenlive Git revision: ${KDENLIVE_GIT_REVISION}")
    set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION} (rev. ${KDENLIVE_GIT_REVISION})")
  else()
    message(STATUS "Kdenlive Git revision could not be determined")
  endif()
endif()

include(CheckIncludeFiles)
check_include_files(malloc.h HAVE_MALLOC_H)
check_include_files(pthread.h HAVE_PTHREAD_H)

find_package(Qt5 REQUIRED COMPONENTS Core DBus Widgets Svg Quick Concurrent)
find_package(Qt5 OPTIONAL_COMPONENTS WebKitWidgets QUIET)

find_package(KF5 5.23.0 OPTIONAL_COMPONENTS XmlGui QUIET)
if (KF5XmlGui_FOUND)
  message(STATUS "Found KF5 >= 5.23.0 enabling icon coloring")
else()
  message(STATUS "KF5 < 5.23.0 Disable icon coloring")
  set(KF5_ICON_COMPATIBILITY TRUE)
endif()

find_package(KF5 REQUIRED COMPONENTS Archive Bookmarks CoreAddons Config ConfigWidgets 
                            DBusAddons KIO WidgetsAddons NotifyConfig NewStuff XmlGui Notifications GuiAddons TextWidgets IconThemes
                 OPTIONAL_COMPONENTS DocTools FileMetaData Crash Purpose)
if(WIN32)
    find_package(DrMinGW)
endif(WIN32)

if (KF5FileMetaData_FOUND)
  message(STATUS "Found KF5 FileMetadata to extract file metadata")
  set(KF5_FILEMETADATA TRUE)
else()
  message(STATUS "KF5 FileMetadata not found, file metadata will not be available")
endif()

if (KF5Purpose_FOUND)
  message(STATUS "Found KF5 Purpose, filesharing enabled")
  set(KF5_PURPOSE TRUE)
else()
  message(STATUS "KF5 Purpose not found, filesharing disabled")
endif()

# Search MLT package.
find_package(MLT ${MLT_MIN_VERSION} REQUIRED)
set_package_properties(MLT PROPERTIES 
                DESCRIPTION "Multimedia framework and video playout server for TV broadcasting"
                URL "http://mltframework.org"
                TYPE RUNTIME
                PURPOSE "Required to do video processing")

if(NOT WIN32)
    set(MLT_PREFIX ${MLT_ROOT_DIR})
else()
    set(MLT_PREFIX "..")
endif()

add_subdirectory(data)
if(KF5DocTools_FOUND)
    add_subdirectory(doc)
endif()
#add_subdirectory(plugins)
add_subdirectory(renderer)
add_subdirectory(src)
add_subdirectory(thumbnailer)
#add_subdirectory(testingArea)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

install( FILES kdenlive.categories DESTINATION ${KDE_INSTALL_CONFDIR} )
include(GNUInstallDirs)
install( FILES AUTHORS COPYING README DESTINATION ${CMAKE_INSTALL_DOCDIR})

configure_file(config-kdenlive.h.cmake config-kdenlive.h @ONLY)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== plugins/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/src)

add_subdirectory(sampleplugin)

=== src/CMakeLists.txt ===
add_definitions(${Qt5Gui_DEFINITIONS})

SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -pedantic -Wextra")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wcast-qual -Wcast-align -Wfloat-equal -Wpointer-arith")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wunreachable-code -Wchar-subscripts -Wcomment -Wformat")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror-implicit-function-declaration -Wmain -Wmissing-braces")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wparentheses -Wsequence-point -Wreturn-type -Wswitch")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wuninitialized -Wreorder -Wundef -Wshadow -Wwrite-strings")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsign-compare  -Wconversion")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wmissing-noreturn  -Wsign-conversion -Wunused ")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wstrict-aliasing -Wstrict-overflow -Wconversion")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdisabled-optimization")
if (CMAKE_COMPILER_IS_GNUCXX)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wlogical-op -Wunsafe-loop-optimizations ")
endif()
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  -Wunused-parameter -Wshadow -Wno-variadic-macros -Wno-float-conversion")

if(NOT WIN32)
    find_package(PkgConfig QUIET)
    execute_process(
        COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=mltdatadir mlt-framework
        OUTPUT_VARIABLE MLT_DATADIR
        RESULT_VARIABLE MLT_DATADIR_failed)
    if (NOT MLT_DATADIR_failed)
        string(REGEX REPLACE "[\r\n]" "" MLT_DATADIR "${MLT_DATADIR}")
    endif()
    
    execute_process(
        COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=meltbin mlt-framework
        OUTPUT_VARIABLE MLT_MELTBIN
        RESULT_VARIABLE MLT_MELTBIN_failed)
    if (NOT MLT_MELTBIN_failed)
        string(REGEX REPLACE "[\r\n]" "" MLT_MELTBIN "${MLT_MELTBIN}")
    endif()
else()
    set(MLT_MELTBIN "melt.exe")
    set(MLT_DATADIR "../share/mlt")
endif()

configure_file( mlt_config.h.in ${CMAKE_BINARY_DIR}/generated/mlt_config.h )
include_directories( ${CMAKE_BINARY_DIR}/generated/ ) # Make sure it can be included...

option(WITH_JogShuttle "Build Jog/Shuttle support" ON)

set(FFMPEG_SUFFIX "" CACHE STRING "FFmpeg custom suffix")
find_package(LibV4L2)
set_package_properties(LibV4L2 PROPERTIES 
    DESCRIPTION "Collection of video4linux support libraries"
    URL "http://freecode.com/projects/libv4l"
    TYPE RUNTIME
    PURPOSE "Required for better webcam support")

if(WITH_JogShuttle)
    check_include_files(linux/input.h HAVE_LINUX_INPUT_H)
    if(HAVE_LINUX_INPUT_H)
        set(BUILD_JogShuttle TRUE)
    endif(HAVE_LINUX_INPUT_H)
endif()

set_package_properties(OpenGL PROPERTIES
    DESCRIPTION "the OpenGL library"
    URL ""
    TYPE RUNTIME
    PURPOSE "")

#if(APPLE)
#  macro_log_feature(SDL_FOUND
#    "SDL"
#    "Cross-platform multimedia library"
#    "http://www.libsdl.org"
#    TRUE
#  )
#endif(APPLE)
#add_definitions( -DQT_NO_CAST_FROM_ASCII )
#add_definitions( -DQT_NO_CAST_TO_ASCII )

install(FILES kdenlivesettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
kconfig_add_kcfg_files(kdenlive_SRCS kdenlivesettings.kcfgc)

add_subdirectory(doc)
add_subdirectory(project)
add_subdirectory(timeline)
add_subdirectory(effectstack)
add_subdirectory(dialogs)
add_subdirectory(effectslist)
add_subdirectory(scopes)
add_subdirectory(capture)
add_subdirectory(dvdwizard)
add_subdirectory(lib)
add_subdirectory(monitor)
add_subdirectory(onmonitoritems)
add_subdirectory(simplekeyframes)
add_subdirectory(stopmotion)
add_subdirectory(titler)
add_subdirectory(utils)
add_subdirectory(onmonitoritems/rotoscoping)
add_subdirectory(mltcontroller)
add_subdirectory(bin)
add_subdirectory(qml)
add_subdirectory(profiles)

if (Qt5WebKitWidgets_FOUND)
    add_subdirectory(qt-oauth-lib)
endif()

add_subdirectory(library)

list(APPEND kdenlive_SRCS
    colortools.cpp
    definitions.cpp
    gentime.cpp
    doc/kthumb.cpp
    main.cpp
    mainwindow.cpp
    renderer.cpp
    statusbarmessagelabel.cpp
    timecode.cpp
    timecodedisplay.cpp
    layoutmanagement.cpp
    hidetitlebars.cpp
    mltconnection.cpp
    core.cpp
    )

ecm_qt_declare_logging_category(kdenlive_SRCS HEADER kdenlive_debug.h IDENTIFIER KDENLIVE_LOG CATEGORY_NAME org.kde.multimedia.kdenlive)

ki18n_wrap_ui(kdenlive_UIS
    ui/addtrack_ui.ui
    ui/archivewidget_ui.ui
    ui/audiospectrum_ui.ui
    ui/backupdialog_ui.ui
    ui/bezierspline_ui.ui
    ui/boolparamwidget_ui.ui
    ui/clipdurationdialog_ui.ui
    ui/clipproperties_ui.ui
    ui/cliptranscode_ui.ui
    ui/collapsiblewidget_ui.ui
    ui/clipstabilize_ui.ui
    ui/colorclip_ui.ui
    ui/colorplaneexport_ui.ui
    ui/configcapture_ui.ui
    ui/configenv_ui.ui
    ui/configjogshuttle_ui.ui
    ui/configmisc_ui.ui
    ui/configproject_ui.ui
    ui/configsdl_ui.ui
    ui/configtimeline_ui.ui
    ui/configtranscode_ui.ui
    ui/dvdwizardchapters_ui.ui
    ui/dvdwizardmenu_ui.ui
    ui/dvdwizardstatus_ui.ui
    ui/dvdwizardvob_ui.ui
    ui/effectlist_ui.ui
    ui/freesound_ui.ui
    ui/geometrywidget_ui.ui
    ui/histogram_ui.ui
    ui/keyframedialog_ui.ui
    ui/keyframeeditor_ui.ui
    ui/keyframewidget_ui.ui
    ui/listparamwidget_ui.ui
    ui/logindialog_ui.ui
    ui/managecaptures_ui.ui
    ui/manageencodingprofile_ui.ui
    ui/markerdialog_ui.ui
    ui/missingclips_ui.ui
    ui/monitoreditwidget_ui.ui
    ui/profiledialog_ui.ui
    ui/projectsettings_ui.ui
    ui/qtextclip_ui.ui
    ui/recmonitor_ui.ui
    ui/renderwidget_ui.ui
    ui/rgbparade_ui.ui
    ui/saveprofile_ui.ui
    ui/slideshowclip_ui.ui
    ui/smconfig_ui.ui
    ui/spacerdialog_ui.ui
    ui/spectrogram_ui.ui
    ui/stopmotion_ui.ui
    ui/templateclip_ui.ui
    ui/timeline_ui.ui
    ui/timelinebuttons_ui.ui
    ui/titlewidget_ui.ui
    ui/trackheader_ui.ui
    ui/tracksconfigdialog_ui.ui
    ui/transitionsettings_ui.ui
    ui/unicodewidget_ui.ui
    ui/urlval_ui.ui
    ui/vectorscope_ui.ui
    ui/waveform_ui.ui
    ui/wipeval_ui.ui
    ui/wizardcapture_ui.ui
    ui/wizardcheck_ui.ui
    ui/wizardextra_ui.ui
    ui/wizardmltcheck_ui.ui
    ui/wizardstandard_ui.ui
    ui/keywordval_ui.ui
    ui/fontval_ui.ui
    ui/cutjobdialog_ui.ui
    ui/scenecutdialog_ui.ui
    ui/gradientedit_ui.ui
    ui/selectivecolor_ui.ui
    ui/clipspeed_ui.ui
    )

if(BUILD_JogShuttle)
    list(APPEND kdenlive_SRCS
        jogshuttle/jogmanager.cpp
        jogshuttle/jogaction.cpp
        jogshuttle/jogshuttle.cpp
        jogshuttle/jogshuttleconfig.cpp
        )
endif()

# Sets the icon on Windows and OSX
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/icons/*-apps-kdenlive.png")
ecm_add_app_icon(kdenlive_SRCS ICONS ${ICONS_SRCS})

qt5_add_dbus_adaptor(kdenlive_SRCS
    org.kdenlive.MainWindow.xml
    mainwindow.h
    MainWindow
    )
qt5_add_resources(kdenlive_SRCS icons.qrc ui/resources.qrc uiresources.qrc)
add_executable(kdenlive
    ${kdenlive_SRCS}
    ${kdenlive_UIS}
    )

# To compile kiss_fft.
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --std=c99")

# KDE definitions and include directories *must* always come first, Qt follows
# (to avoid breaking builds when KDE and/or Qt are installed to different
# prefixes).

include_directories(
    ${CMAKE_BINARY_DIR}
    ${MLT_INCLUDE_DIR}
    ${MLTPP_INCLUDE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/lib/external
    ${CMAKE_CURRENT_SOURCE_DIR}/lib
    )


# Adds Qt definitions and include directories, and sets QT_LIBRARIES according
# to the components requested in find_package().
#include(${QT_USE_FILE})

target_link_libraries(kdenlive
    KF5::WidgetsAddons
    KF5::Archive
    KF5::CoreAddons
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::KIOWidgets
    KF5::NotifyConfig
    KF5::NewStuff
    KF5::DBusAddons
    KF5::XmlGui
    KF5::GuiAddons
    KF5::Notifications
    KF5::TextWidgets
    KF5::IconThemes
    Qt5::Svg
    ${OPENGL_LIBRARIES}
    ${OPENGLES_LIBRARIES}
    ${MLT_LIBRARIES}
    ${MLTPP_LIBRARIES}
    ${CMAKE_DL_LIBS}
    ${CMAKE_THREAD_LIBS_INIT}
    kiss_fft
    )

message(STATUS "Found MLT++: ${MLTPP_LIBRARIES}")

if (KF5_FILEMETADATA)
    add_definitions(-DKF5_USE_FILEMETADATA)
    target_link_libraries(kdenlive KF5::FileMetaData)
endif()

if (DRMINGW_FOUND)
    add_definitions(-DUSE_DRMINGW)
    target_link_libraries(kdenlive ${DRMINGW_LIBRARY})
elseif (KF5Crash_FOUND)
    add_definitions(-DKF5_USE_CRASH)
    target_link_libraries(kdenlive KF5::Crash)
endif(DRMINGW_FOUND)

target_link_libraries(kdenlive Qt5::Widgets Qt5::Concurrent Qt5::Qml Qt5::Quick)

if (KF5_PURPOSE)
    add_definitions(-DKF5_USE_PURPOSE)
    target_link_libraries(kdenlive KF5::Purpose KF5::PurposeWidgets)
endif()

if (Qt5WebKitWidgets_FOUND)
    message(STATUS "Found Qt5 WebKitWidgets. You can use your Freesound.org credentials to download files")
    add_definitions(-DQT5_USE_WEBKIT)
    target_link_libraries(kdenlive Qt5::WebKitWidgets)
else()
    message(STATUS "Qt5 WebKitWidgets not found. You cannot use your Freesound.org credentials, only preview files can be downloaded from the Online Resources Widget")
endif()


if(Q_WS_X11)
    include_directories(${X11_Xlib_INCLUDE_PATH})
    target_link_libraries(kdenlive ${X11_LIBRARIES})
endif(Q_WS_X11)

if(SDL2_FOUND)
    target_link_libraries(kdenlive ${SDL2_LIBRARY})
elseif(SDL_FOUND)
    target_link_libraries(kdenlive ${SDL_LIBRARY})
endif(SDL2_FOUND)

if(LIBV4L2_FOUND)
    include_directories(${LIBV4L2_INCLUDE_DIR})
    target_link_libraries(kdenlive ${LIBV4L2_LIBRARY})
    add_definitions(-DUSE_V4L)
endif()

if(BUILD_JogShuttle)
    add_definitions(-DUSE_JOGSHUTTLE)
    target_link_libraries(kdenlive
        media_ctrl
        )
endif()

install(TARGETS kdenlive DESTINATION ${BIN_INSTALL_DIR})
install(FILES kdenliveui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kdenlive)

=== packaging/appimage/3rdparty/ext_jpeg/CMakeLists.txt ===
# Script to build libjpeg for digiKam bundle.
#
# Copyright (c) 2015-2017, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.
#

SET(PREFIX_ext_jpeg "${EXTPREFIX}")

ExternalProject_Add(ext_jpeg
    DOWNLOAD_DIR ${EXTERNALS_DOWNLOAD_DIR}
    URL https://sourceforge.net/projects/libjpeg-turbo/files/1.5.3/libjpeg-turbo-1.5.3.tar.gz
    URL_MD5 7c82f0f6a3130ec06b8a4d0b321cbca3

    CONFIGURE_COMMAND <SOURCE_DIR>/configure --prefix=${PREFIX_ext_jpeg}
                                             --without-simd
                                             --with-jpeg8

    UPDATE_COMMAND ""
    ALWAYS 0
)

=== packaging/appimage/3rdparty/ext_qt/CMakeLists.txt ===
# Script to build Qt for digiKam bundle.
#
# Copyright (c) 2015-2017, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.
#

SET(EXTPREFIX_qt "${EXTPREFIX}")

ExternalProject_Add(ext_qt
    DOWNLOAD_DIR ${EXTERNALS_DOWNLOAD_DIR}
    URL https://download.qt.io/official_releases/qt/5.9/5.9.4/single/qt-everywhere-opensource-src-5.9.4.tar.xz
    URL_MD5 d95f6ecb491e731c2fca622ccc7b6bbd
    CONFIGURE_COMMAND <SOURCE_DIR>/configure
                  -prefix ${EXTPREFIX_qt}
                  -opensource
                  -confirm-license
                  -nomake examples
                  -sql-sqlite
                  -fontconfig
                  -openssl
                  -optimized-qmake
                  -no-mtdev
                  -no-journald
                  -no-syslog
                  -no-tslib
                  -no-directfb
                  -no-linuxfb
                  -no-libproxy
                  -no-pch
                  -no-compile-examples
                  -qt-zlib
                  -qt-pcre
                  -qt-harfbuzz
                  -qt-xcb
                  -qt-xkbcommon-x11
                  -skip qt3d
                  -skip qtactiveqt
                  -skip qtandroidextras
                  -skip qtcanvas3d
                  -skip qtcharts
                  -skip qtconnectivity
                  -skip qtdatavis3d
                  -skip qtdoc
                  -skip qtgamepad
                  -skip qtlocation
                  -skip qtmultimedia
                  -skip qtpurchasing
                  -skip qtremoteobjects
                  -skip qtserialport
                  -skip qtscxml
                  -skip qtsensors
                  -skip qtspeech
                  -skip qttranslations
                  -skip qtvirtualkeyboard
                  -skip qtwayland
                  -skip qtwebsockets
                  -skip qtwebchannel
                  -skip qtwebengine

    UPDATE_COMMAND ""
    BUILD_IN_SOURCE 1
    ALWAYS 0
)

=== src/effectstack/widgets/curves/CMakeLists.txt ===
set(kdenlive_SRCS
  ${kdenlive_SRCS}
  effectstack/widgets/curves/abstractcurvewidget.h
  effectstack/widgets/curves/bezier/beziersplineeditor.cpp
  effectstack/widgets/curves/bezier/bpoint.cpp
  effectstack/widgets/curves/bezier/cubicbezierspline.cpp
  effectstack/widgets/curves/cubic/kis_curve_widget.cpp
  effectstack/widgets/curves/cubic/kis_cubic_curve.cpp
  PARENT_SCOPE
)

=== src/lib/external/kiss_fft/CMakeLists.txt ===
# Create a static library from kiss_fft
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --std=c99")
find_package(Qt5Core REQUIRED)
include_directories(
  ${CMAKE_BINARY_DIR}
)
add_library(kiss_fft STATIC
  _kiss_fft_guts.h
  kiss_fft.c
  tools/kiss_fftr.c
)
target_link_libraries(kiss_fft Qt5::Core)

=== debian/changelog ===
kdenlive (18.12.3-1~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.
  * Moved breeze & frei0r-plugins from recommends to depends.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 07 Mar 2019 10:58:01 -0800

kdenlive (18.12.3-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 07 Mar 2019 13:36:49 +0100

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 12~mx17+1),
 pkg-config,
 cmake,
 pkg-kde-tools,
 libmlt-dev (>= 6.6.0),
 libmlt++-dev (>= 6.6.0),
 ffmpeg,
 libqt5opengl5-dev,
 extra-cmake-modules,
 qtscript5-dev,
 libqt5svg5-dev,
 libqt5webkit5-dev,
 libkf5doctools-dev,
 libkf5kio-dev,
 libv4l-dev,
 libkf5archive-dev,
 libkf5bookmarks-dev,
 libkf5config-dev,
 libkf5configwidgets-dev,
 libkf5coreaddons-dev,
 libkf5dbusaddons-dev,
 libkf5guiaddons-dev,
 libkf5iconthemes-dev,
 libkf5newstuff-dev,
 libkf5filemetadata-dev,
 libkf5crash-dev,
 libkf5notifications-dev,
 libkf5notifyconfig-dev,
 libkf5plotting-dev,
 libkf5textwidgets-dev,
 libkf5widgetsaddons-dev,
 qtdeclarative5-dev,
 libkf5xmlgui-dev

Package: kdenlive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 kdenlive-data (= ${source:Version}),
 breeze-icon-theme,
 frei0r-plugins,
 qml-module-qtquick2,
 qml-module-qtquick-controls,
 kinit,
 kded5,
 kio,
 melt,
 ffmpeg
Recommends: swh-plugins,
 oxygen-icon-theme,
 dvgrab,
 recordmydesktop,
 dvdauthor,
 genisoimage
Suggests: khelpcenter
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: ${kde-l10n:all}, kdenlive (<= 0.7.2.1)
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := -DNO_JOGSHUTTLE=YES
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRAFLAGS)

override_dh_compress:
	dh_compress -X.docbook

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## kdenlive 18.12.3a

=== debian/changelog ===
kdenlive (4:18.12.3a-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)
  * Rename source tarball appending 'a' for upstream respin.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:27:48 +0000

kdenlive (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:15:11 +0000

kdenlive (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:10:07 +0000

kdenlive (4:18.12.0-1ubuntu1) disco; urgency=medium

  * New upstream release (18.12.0)
  * Merge Debian changes. Remaining changes:
    - d/patches/01-desktop-keywords.diff
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - d/rules: build with dhmk.
    - Update install files.
    - Add not-installed for docs.
    - Optional build dep on libkf5purpose-dev.
    - Keep our build dep versions.
    - Kubuntu Vcs fields.
    - Depend on breeze-icon-theme, drop oxygen-icon-theme to recommends.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 03 Jan 2019 12:40:25 +0000

kdenlive (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3).
  * New build dep on libkf5purpose-dev.
  * Update not-installed with docs we don't ship.
  * Bump the debhelper compatibility and build dep to 11.
  * Bump Standards-Version to 4.2.1
  * Add upstream signing key, and update watchfile.
  * Switch homepage to use https.
  * Now we depend on breeze-icon-theme, drop oxygen-icon-theme to
    recommends.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Dec 2018 20:22:13 +0000

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.3.0
Build-Depends: cmake,
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               ffmpeg,
               libkf5archive-dev (>= 5.31.0~),
               libkf5bookmarks-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5filemetadata-dev (>= 5.31.0~),
               libkf5guiaddons-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5notifications-dev (>= 5.31.0~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5plotting-dev (>= 5.31.0~),
               libkf5purpose-dev (>= 5.31.0~),
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libmlt++-dev (>= 6.6.0),
               libmlt-dev (>= 6.6.0),
               libqt5opengl5-dev (>= 5.6.1~),
               libqt5svg5-dev (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.6.1~),
               libv4l-dev,
               pkg-config,
               pkg-kde-tools,
               qtdeclarative5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenlive

Package: kdenlive
Architecture: any
Depends: breeze-icon-theme,
         ffmpeg,
         kded5,
         kdenlive-data (= ${source:Version}),
         kinit,
         kio,
         melt,
         qml-module-qtquick-controls,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: dvdauthor,
            dvgrab,
            frei0r-plugins,
            genisoimage,
            oxygen-icon-theme,
            recordmydesktop,
            swh-plugins,
Suggests: khelpcenter
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: kdenlive (<= 0.7.2.1), ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

Package: kdenlive-dbg
Section: debug
Architecture: any
Priority: optional
Depends: kdenlive (= ${binary:Version}), ${misc:Depends}
Description: non-linear video editor (debugging symbols)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the debugging symbols for kdenlive.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := -DNO_JOGSHUTTLE=YES
endif

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRAFLAGS)

override_dh_compress:
	dh_compress -X.docbook

override_dh_install:
	rm -f $(CURDIR)/debian/kdenlive-data/usr/share/doc/Kdenlive/COPYING.gz
	dh_install --list-missing

override_dh_strip:
	dh_strip --dbg-package=kdenlive-dbg

## kdenlive 18.12.3.1+rb2

=== renderer/CMakeLists.txt ===
set(QT_DONT_USE_QTGUI 1)
set(QT_USE_QTDBUS 1)

set(kdenlive_render_SRCS
  kdenlive_render.cpp
  renderjob.cpp
)

add_executable(kdenlive_render ${kdenlive_render_SRCS})
ecm_mark_nongui_executable(kdenlive_render)

target_link_libraries(kdenlive_render Qt5::Core Qt5::DBus)

install(TARGETS kdenlive_render DESTINATION ${BIN_INSTALL_DIR})

=== debian/changelog ===
kdenlive (18.12.3.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 28 Jan 2021 10:14:30 +0800

=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: https://kdenlive.org/
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 12),
 pkg-config,
 cmake,
 pkg-kde-tools,
 libmlt-dev (>= 6.6.0),
 libmlt++-dev (>= 6.6.0),
 ffmpeg,
 libqt5opengl5-dev,
 extra-cmake-modules,
 qtscript5-dev,
 libqt5svg5-dev,
 libqt5webkit5-dev,
 libkf5doctools-dev,
 libkf5kio-dev,
 libv4l-dev,
 libkf5archive-dev,
 libkf5bookmarks-dev,
 libkf5config-dev,
 libkf5configwidgets-dev,
 libkf5coreaddons-dev,
 libkf5dbusaddons-dev,
 libkf5guiaddons-dev,
 libkf5iconthemes-dev,
 libkf5newstuff-dev,
 libkf5filemetadata-dev,
 libkf5crash-dev,
 libkf5notifications-dev,
 libkf5notifyconfig-dev,
 libkf5plotting-dev,
 libkf5textwidgets-dev,
 libkf5widgetsaddons-dev,
 qtdeclarative5-dev,
 libkf5xmlgui-dev

Package: kdenlive
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 kdenlive-data (= ${source:Version}),
 qml-module-qtquick2,
 qml-module-qtquick-controls,
 kinit,
 kded5,
 kio,
 melt,
 ffmpeg
Recommends: swh-plugins,
 breeze-icon-theme,
 oxygen-icon-theme,
 dvgrab,
 frei0r-plugins,
 recordmydesktop,
 dvdauthor,
 genisoimage
Suggests: khelpcenter
Description: non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Breaks: ${kde-l10n:all}, kdenlive (<= 0.7.2.1)
Replaces: ${kde-l10n:all}
Description: non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDV and many
 more formats.
 Its main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * FireWire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

## kdenlive 19.04.3

=== CMakeLists.txt ===
project(Kdenlive)

# An odd patch version number means development version, while an even one means
# stable release. An additional number can be used for bugfix-only releases.

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "04")
set(KDE_APPLICATIONS_VERSION_MICRO "3")

set(KDENLIVE_VERSION ${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO})

cmake_minimum_required(VERSION 3.0)
if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif()
if(POLICY CMP0053)
    cmake_policy(SET CMP0053 NEW)
endif()

if(BUILD_FUZZING)
  set(CMAKE_CXX_FLAGS "${KDENLIVE_CXX_FLAGS} -fsanitize=fuzzer-no-link,address")
endif()
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-unknown-warning-option")
endif()

# To be switched on when releasing.
option(RELEASE_BUILD "Remove Git revision from program version" ON)
option(BUILD_TESTING "Build tests" ON)
option(BUILD_FUZZING "Build fuzzing target" OFF)

# Minimum versions of main dependencies.
set(MLT_MIN_MAJOR_VERSION 6)
set(MLT_MIN_MINOR_VERSION 12)
set(MLT_MIN_PATCH_VERSION 0)
set(MLT_MIN_VERSION ${MLT_MIN_MAJOR_VERSION}.${MLT_MIN_MINOR_VERSION}.${MLT_MIN_PATCH_VERSION})

# KDE Frameworks
find_package(ECM 5.18.0 REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(ECMInstallIcons)
include(GenerateExportHeader)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMOptionalAddSubdirectory)
include(ECMMarkNonGuiExecutable)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMEnableSanitizers)
add_definitions(-DTRANSLATION_DOMAIN=\"kdenlive\")
find_package(KF5 REQUIRED COMPONENTS Archive Bookmarks CoreAddons Config ConfigWidgets
                            DBusAddons KIO WidgetsAddons NotifyConfig NewStuff XmlGui Notifications GuiAddons TextWidgets IconThemes Declarative Solid
                 OPTIONAL_COMPONENTS DocTools FileMetaData Crash Purpose)

# Qt
set(QT_MIN_VERSION 5.7.0)
find_package(Qt5 REQUIRED COMPONENTS Core DBus Widgets Svg Quick Concurrent QuickWidgets Multimedia)
find_package(Qt5 OPTIONAL_COMPONENTS WebKitWidgets QUIET)
add_definitions(-DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING)
set(DEFAULT_CXX_FLAGS "${DEFAULT_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")

# MLT
find_package(MLT ${MLT_MIN_VERSION} REQUIRED)
set_package_properties(MLT PROPERTIES DESCRIPTION "Multimedia framework"
                URL "https://mltframework.org"
                PURPOSE "Required to do video processing")
message(STATUS "Found MLT++: ${MLTPP_LIBRARIES}")

# Windows
include(CheckIncludeFiles)
check_include_files(malloc.h HAVE_MALLOC_H)
check_include_files(pthread.h HAVE_PTHREAD_H)
if(WIN32)
    find_package(DrMinGW)
    set(MLT_PREFIX "..")
else()
    set(MLT_PREFIX ${MLT_ROOT_DIR})
endif()

# Optional deps status
find_package(KF5 5.23.0 OPTIONAL_COMPONENTS XmlGui QUIET)
if(KF5XmlGui_FOUND)
  message(STATUS "Found KF5 >= 5.23.0 enabling icon coloring")
else()
  message(STATUS "KF5 < 5.23.0 Disable icon coloring")
  set(KF5_ICON_COMPATIBILITY TRUE)
endif()

if(KF5FileMetaData_FOUND)
  message(STATUS "Found KF5 FileMetadata to extract file metadata")
  set(KF5_FILEMETADATA TRUE)
else()
  message(STATUS "KF5 FileMetadata not found, file metadata will not be available")
endif()

if(KF5Purpose_FOUND)
  message(STATUS "Found KF5 Purpose, filesharing enabled")
  set(KF5_PURPOSE TRUE)
else()
  message(STATUS "KF5 Purpose not found, filesharing disabled")
endif()

if(KF5DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

# Get current version.
set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION}")
if(NOT RELEASE_BUILD AND EXISTS ${CMAKE_SOURCE_DIR}/.git)
  # Probably a Git workspace; determine the revision.
  find_package(Git QUIET)
  if(GIT_FOUND)
    exec_program(${GIT_EXECUTABLE} ${CMAKE_SOURCE_DIR}
	  ARGS "log -n 1 --pretty=format:\"%h\""
      OUTPUT_VARIABLE KDENLIVE_GIT_REVISION)
    message(STATUS "Kdenlive Git revision: ${KDENLIVE_GIT_REVISION}")
    set(KDENLIVE_VERSION_STRING "${KDENLIVE_VERSION} (rev. ${KDENLIVE_GIT_REVISION})")
  else()
    message(STATUS "Kdenlive Git revision could not be determined")
  endif()
endif()

find_package(RTTR 0.9.6 QUIET)
if(NOT RTTR_FOUND)
  message(STATUS "RTTR not found on system, will download source and build it")
  include(rttr.CMakeLists.txt)
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(FFMPEG_SUFFIX "" CACHE STRING "FFmpeg custom suffix")
configure_file(config-kdenlive.h.cmake config-kdenlive.h @ONLY)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC -Wno-suggest-override")

# Sources
add_subdirectory(src)
add_subdirectory(renderer)
add_subdirectory(thumbnailer)
add_subdirectory(data)
ki18n_install(po)

include(GNUInstallDirs)
install(FILES AUTHORS COPYING README.md DESTINATION ${CMAKE_INSTALL_DOCDIR})
install(FILES kdenlive.categories DESTINATION ${KDE_INSTALL_CONFDIR})

############################
# Tests
############################

if(BUILD_TESTING)
    message(STATUS "Building tests")
    add_subdirectory(tests)

    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -fexceptions")
    include_directories(
        ${CMAKE_BINARY_DIR}
        ${CMAKE_BINARY_DIR}/src
        ${MLT_INCLUDE_DIR}
        ${MLTPP_INCLUDE_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/lib/external
        ${CMAKE_CURRENT_SOURCE_DIR}/lib
        src)
    add_executable(runTests ${Tests_SRCS})
    set_property(TARGET runTests PROPERTY CXX_STANDARD 14)
    target_link_libraries(runTests kdenliveLib)
    add_test(runTests runTests -d yes)
endif()

if(BUILD_FUZZING)
    message(STATUS "Building fuzzing")
	set(CMAKE_CXX_COMPILER /usr/bin/clang++)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDENLIVE_CXX_FLAGS} -fsanitize=fuzzer-no-link,address")
    add_subdirectory(fuzzer)
endif()

=== debian/changelog ===
kdenlive (19.04.3-2) unstable; urgency=medium

  * Remove buildinfo flag again.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 24 Jul 2019 15:23:55 +0200

kdenlive (19.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Add patch 01-spelling-errors to fix some spelling errors.
  * Adjust lintian overrides.
  * Fix lintian warning public-upstream-key-not-minimal.
  * Remove extra license file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 12 Jul 2019 11:36:47 +0200

kdenlive (19.04.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0.
  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 09 Jul 2019 09:39:36 +0200

kdenlive (19.04.2-1) experimental; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 13 Jun 2019 15:23:55 +0200

kdenlive (19.04.1-1) experimental; urgency=medium

  * New upstream release.
    - Add new build dependencies qtmultimedia5-dev, libkf5purpose-dev,
      libkf5declarative-dev and librttr-dev.
  * Override dh_auto_test, since it requires a running X display.
  * Adjust install docs.
  * Adjust debian/copyright.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 22 May 2019 15:12:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,19 @@
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Homepage: https://kdenlive.org/
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 12),
  pkg-config,
  cmake,
  pkg-kde-tools,
  libmlt-dev (>= 6.6.0),
  libmlt++-dev (>= 6.6.0),
+ librttr-dev,
  ffmpeg,
  libqt5opengl5-dev,
  extra-cmake-modules,
  qtscript5-dev,
+ qtmultimedia5-dev,
  libqt5svg5-dev,
  libqt5webkit5-dev,
  libkf5doctools-dev,
@@ -29,6 +31,8 @@
  libkf5iconthemes-dev,
  libkf5newstuff-dev,
  libkf5filemetadata-dev,
+ libkf5purpose-dev,
+ libkf5declarative-dev,
  libkf5crash-dev,
  libkf5notifications-dev,
  libkf5notifyconfig-dev,

## kdenlive 19.08.0

=== debian/changelog ===
kdenlive (19.08.0-1~mx19+2) mx; urgency=medium

  * Add packages as depends so users won't get warning messages at start.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 24 Aug 2019 12:44:02 -0700

kdenlive (19.08.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * debian/control: minimum required version of mlt is now 6.16.0.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 22 Aug 2019 18:59:58 -0700

kdenlive (19.08.0-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 16 Aug 2019 10:48:14 +0200

kdenlive (19.04.3-3) unstable; urgency=medium

  * Add more qml-module packages dependencies.
    Closes: #933367

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 08 Aug 2019 09:35:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: kdenlive
 Section: video
 Priority: optional
-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Homepage: https://kdenlive.org/
 Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 12),
  pkg-config,
  cmake,
  pkg-kde-tools,
- libmlt-dev (>= 6.6.0),
- libmlt++-dev (>= 6.6.0),
+ libmlt-dev (>= 6.16.0),
+ libmlt++-dev (>= 6.16.0),
  librttr-dev,
  ffmpeg,
  libqt5opengl5-dev,
@@ -49,12 +50,18 @@
  kdenlive-data (= ${source:Version}),
  qml-module-qtquick2,
  qml-module-qtquick-controls,
+ qml-module-qtgraphicaleffects,
+ qml-module-qtqml-models2,
+ qml-module-qtquick-controls2,
+ qml-module-qtquick-dialogs,
+ qml-module-qtquick-layouts,
+ qml-module-qtquick-window2,
  kinit,
  kded5,
  kio,
  melt,
- ffmpeg
-Recommends: swh-plugins,
+ ffmpeg,
+ swh-plugins,
  breeze-icon-theme,
  oxygen-icon-theme,
  dvgrab,
@@ -72,7 +79,7 @@
   * Real time changes
   * FireWire and Video4Linux capture
   * Screen grabbing
-  * Exporting to any by FFMPEG supported format
+  * Exporting to any format supported by FFMPEG
 
 Package: kdenlive-data
 Architecture: all
@@ -89,6 +96,6 @@
   * Real time changes
   * FireWire and Video4Linux capture
   * Screen grabbing
-  * Exporting to any by FFMPEG supported format
+  * Exporting to any format supported by FFMPEG
  .
  This package contains the data files for kdenlive.

## kdenlive 19.08.1

=== debian/changelog ===
kdenlive (19.08.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 18 Sep 2019 18:05:28 -0700

kdenlive (19.08.1-1) unstable; urgency=medium

  * Bump libmlt-dev build dependency up to version 6.10.0.
    Closes: #934933
  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 18 Sep 2019 09:24:33 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
  pkg-config,
  cmake,
  pkg-kde-tools,
- libmlt-dev (>= 6.16.0),
- libmlt++-dev (>= 6.16.0),
+ libmlt-dev (>= 6.10.0),
+ libmlt++-dev (>= 6.10.0),
  librttr-dev,
  ffmpeg,
  libqt5opengl5-dev,
@@ -60,8 +60,8 @@
  kded5,
  kio,
  melt,
- ffmpeg,
- swh-plugins,
+ ffmpeg
+Recommends: swh-plugins,
  breeze-icon-theme,
  oxygen-icon-theme,
  dvgrab,
@@ -79,7 +79,7 @@
   * Real time changes
   * FireWire and Video4Linux capture
   * Screen grabbing
-  * Exporting to any format supported by FFMPEG
+  * Exporting to any by FFMPEG supported format
 
 Package: kdenlive-data
 Architecture: all
@@ -96,6 +96,6 @@
   * Real time changes
   * FireWire and Video4Linux capture
   * Screen grabbing
-  * Exporting to any format supported by FFMPEG
+  * Exporting to any by FFMPEG supported format
  .
  This package contains the data files for kdenlive.

## kdenlive 19.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set(KDE_APPLICATIONS_VERSION_MAJOR "19")
-set(KDE_APPLICATIONS_VERSION_MINOR "04")
-set(KDE_APPLICATIONS_VERSION_MICRO "3")
+set(KDE_APPLICATIONS_VERSION_MINOR "08")
+set(KDE_APPLICATIONS_VERSION_MICRO "2")
 
 set(KDENLIVE_VERSION ${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO})
 
@@ -32,7 +32,7 @@
 
 # Minimum versions of main dependencies.
 set(MLT_MIN_MAJOR_VERSION 6)
-set(MLT_MIN_MINOR_VERSION 12)
+set(MLT_MIN_MINOR_VERSION 16)
 set(MLT_MIN_PATCH_VERSION 0)
 set(MLT_MIN_VERSION ${MLT_MIN_MAJOR_VERSION}.${MLT_MIN_MINOR_VERSION}.${MLT_MIN_PATCH_VERSION})
 
@@ -58,7 +58,6 @@
 # Qt
 set(QT_MIN_VERSION 5.7.0)
 find_package(Qt5 REQUIRED COMPONENTS Core DBus Widgets Svg Quick Concurrent QuickWidgets Multimedia)
-find_package(Qt5 OPTIONAL_COMPONENTS WebKitWidgets QUIET)
 add_definitions(-DQT_NO_CAST_TO_ASCII -DQT_NO_URL_CAST_FROM_STRING)
 set(DEFAULT_CXX_FLAGS "${DEFAULT_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS}")
 
@@ -78,6 +77,7 @@
     set(MLT_PREFIX "..")
 else()
     set(MLT_PREFIX ${MLT_ROOT_DIR})
+    find_package(Qt5 OPTIONAL_COMPONENTS WebKitWidgets QUIET)
 endif()
 
 # Optional deps status
@@ -145,7 +145,12 @@
 
 include(GNUInstallDirs)
 install(FILES AUTHORS COPYING README.md DESTINATION ${CMAKE_INSTALL_DOCDIR})
-install(FILES kdenlive.categories DESTINATION ${KDE_INSTALL_CONFDIR})
+
+if (ECM_VERSION VERSION_LESS "5.59.0")
+    install(FILES kdenlive.categories DESTINATION ${KDE_INSTALL_CONFDIR})
+else()
+    install(FILES kdenlive.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
+endif()
 
 ############################
 # Tests

=== debian/changelog ===
kdenlive (19.08.2-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Move all recommended packages to depends.
  * debian/control:
    - correct mlt minimum version to 6.16

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 05 Nov 2019 13:52:00 -0800

kdenlive (19.08.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.
  * Set Rules-Requires-Root to no.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 11 Oct 2019 10:17:57 +0200

kdenlive (19.08.1-2) unstable; urgency=high

  * Apply patch from Maximiliano Curia and many thanks to him!
    - Force extra-cmake-modules build dependency version.
    - Move qdebug files.
      Closes: #940861

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 23 Sep 2019 09:56:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Homepage: https://kdenlive.org/
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Build-Depends: debhelper (>= 12),
  pkg-config,
  cmake,
  pkg-kde-tools,
- libmlt-dev (>= 6.10.0),
- libmlt++-dev (>= 6.10.0),
+ libmlt-dev (>= 6.16),
+ libmlt++-dev (>= 6.16),
  librttr-dev,
  ffmpeg,
  libqt5opengl5-dev,
- extra-cmake-modules,
+ extra-cmake-modules (>= 5.59~),
  qtscript5-dev,
  qtmultimedia5-dev,
  libqt5svg5-dev,
@@ -60,8 +61,8 @@
  kded5,
  kio,
  melt,
- ffmpeg
-Recommends: swh-plugins,
+ ffmpeg,
+ swh-plugins,
  breeze-icon-theme,
  oxygen-icon-theme,
  dvgrab,

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

EXTRAFLAGS :=
ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
	EXTRAFLAGS := -DNO_JOGSHUTTLE=YES
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(EXTRAFLAGS)

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/kdenlive-data/usr/share/doc/Kdenlive/

override_dh_auto_test:

override_dh_compress:
	dh_compress -X.docbook

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

override_dh_strip:
	dh_strip --no-automatic-dbgsym
